petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMProjectField

This projects the given function of the fields into the function space provided.

### Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    #include "petscksp.h"
    PetscErrorCode DMProjectField(DM dm, PetscReal time, Vec U,
                                  void (**funcs)(PetscInt, PetscInt, PetscInt,
                                                 const PetscInt[], const PetscInt[], const PetscScalar[], const PetscScalar[], const PetscScalar[],
                                                 const PetscInt[], const PetscInt[], const PetscScalar[], const PetscScalar[], const PetscScalar[],
                                                 PetscReal, const PetscReal[], PetscInt, const PetscScalar[], PetscScalar[]),
                                  InsertMode mode, Vec X)

### Input Parameters

| dm | - The DM
| time | - The time
| U | - The input field vector
| funcs | - The functions to evaluate, one per field
| mode | - The insertion mode for values

### Output Parameter

X -The output vector

### See Also

DMProjectFunction(), DMComputeL2Diff()

### Level

developer

### Location

src/ksp/ksp/utils/dmproject.c

### Examples

src/snes/examples/tutorials/ex12.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages